// (c) MIT 2003.  All rights reserved.

// -*-Mode: Java-*- 
// $Id: Causes.java,v 1.3 2003/03/06 00:40:49 moltmans Exp $
// Causes.java -- 
// Author: Michael Oltmans <moltmans@ai.mit.edu> 
// Created: <Mon May 15 17:14:09 2000> 
// Time-stamp: <2000-07-19 16:51:14 moltmans> 
package rec.annotate.facts;

import rec.annotate.rules.*;
import rec.tms.*;
import rec.annotate.*;

/**
 **/
public class Causes extends LeadsTo
{
  public Causes( Event cause, Event effect )
  {
    super( cause, effect );
  }

  public String getFactType() 
  {
    return Type.CAUSES;
  }
  
  public boolean sameFact( Fact fact ) 
  {
    if( fact instanceof Causes ) {
      return super.sameFact( fact );
    }
    return false;
  }

  public String toEnglish() 
  {
    return getCause().toEnglish() + " causes " +
      getEffect().toEnglish();
  }

  public String toString() 
  {
    return "<causes: [" + getCause() + "] [" + getEffect() + "]>";
  }
}
